package webserver

import (
	"git.sense-t.eu.org/ACE/ace/lib/webrtcconnection"
)

type Options struct {
	Name            string                    `yaml:"name"`
	Listen          string                    `yaml:"listen"`
	InstructionFile string                    `yaml:"instruction_file"`
	WebRTC          *webrtcconnection.Options `yaml:"webrtc"`
}

func ExampleOptions() *Options {
	return &Options{
		Name:            "ACE-test",
		Listen:          "localhost:8080",
		InstructionFile: "",
		WebRTC:          webrtcconnection.ExampleOptions(),
	}
}
